package com.sptg.device.biz.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.sptg.common.core.beans.ResultBean;
import com.sptg.device.api.dto.DeviceRemoteInfoDto;
import com.sptg.device.api.entity.DeviceRemoteInfo;

/**
 * @author zwx
 * @create 2020/9/29 17:51
 */
public interface DeviceRemoteInfoServiceInterface extends IService<DeviceRemoteInfo> {

    Page<DeviceRemoteInfo> pagingQuery(DeviceRemoteInfoDto dto);

    ResultBean<Boolean> add(DeviceRemoteInfoDto dto);

    DeviceRemoteInfo findDeviceRemoteInfo(DeviceRemoteInfoDto dto);

    DeviceRemoteInfo getBySerialNumber(String serialNumber);

    DeviceRemoteInfo getById(Long id);

    ResultBean<Boolean> edit(DeviceRemoteInfo deviceRemoteInfo);

    ResultBean<Boolean> delete(DeviceRemoteInfoDto dto);
}
